#
# spec file for package xterm-console
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xterm-console
Version:        1.1
Release:        1.6
Summary:        A Linux vt console look-alike xterm wrapper
License:        MIT
Group:          System/X11/Utilities
URL:            https://github.com/os-autoinst/xterm-console
Source:         xterm-console
Source1:        psf2bdf.pl
BuildRequires:  bdftopcf
BuildRequires:  fontpackages-devel
# the original consolefonts:
BuildRequires:  kbd
Requires:       fonts-config
# svirt, eg. s390x, xen
Supplements:    os-autoinst
%reconfigure_fonts_prereq
BuildArch:      noarch

%description
This package contains the basic X.Org terminal program.

%prep

%setup -q -c -T
cp %{SOURCE1} .

%build
chmod +x ./psf2bdf.pl

for font in %{_datadir}/kbd/consolefonts/*.psfu.gz; do
    fontname="${font##*/}"
    fontname="${fontname%.psfu.gz}"
    gunzip -c $font | ./psf2bdf.pl | sed -e "s,FONT \+-psf-,FONT ${fontname}," > "$fontname".bdf
done

for i in *.bdf; do
    bdftopcf "$i" | gzip -9 >"${i%.bdf}.pcf.gz"
done

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/fonts/misc/

install -m 0755 %{SOURCE0} %{buildroot}%{_bindir}
install -m 0644 *.pcf.gz %{buildroot}%{_datadir}/fonts/misc/

%reconfigure_fonts_scriptlets

%files
%{_bindir}/xterm-console
%dir %{_datadir}/fonts/misc
%{_datadir}/fonts/misc/*.pcf.gz

%changelog
* Thu Jun 10 2021 okurz@suse.com
- Update to version 1.1:
  * Bump version number in spec
  * Handle glyphs without unicode mapping gracefully
  * Fix generating psf2 fonts with multiple codepoints per glyph
  * psf2bdf.pl: Support mapping multiple codepoints to a glyph
  * Use eurlatgr as font
  * Further cleanup of spec-file
  * Cleanup spec-file (delete unused symbol; simplify)
  * Delete old pre-SLE11 cruft
  * Mark as noarch as there are only scripts
  * Cleanup spec-file
* Tue Jan 28 2020 okurz@suse.com
- Update to version 1.0:
  * Change package to use upstream on
    https://github.com/os-autoinst/xterm_console
  * Change to noarch as there are only scripts
  * Delete old pre-SLE11 cruft
  * Cleanup spec-file (delete unused symbol; simplify)
* Mon Jun 25 2018 slindomansilla@suse.com
- Use supplemments to os-autoinst
  When using svirt backend (s390x, XEN), xterm-console is needed.
  It is expected the use of this backend only on special cases,
  so this package is not added as required. But it may help to
  mark it as supplement os os-autoinst.
* Wed Apr 29 2015 coolo@suse.com
- remove nonexistant +itc option
* Mon Apr 27 2015 froh@suse.de
- initial version
